Skip to main content
GET
/
active-conf
Active Configuration
curl --request GET \
  --url https://api.sandbox.pawapay.io/active-conf \
  --header 'Authorization: Bearer <token>'
{
  "merchantId": "MERCHANT_INC",
  "merchantName": "Merchant Inc.",
  "countries": [
    {
      "country": "GHA",
      "correspondents": [
        {
          "correspondent": "AIRTELTIGO_GHA",
          "currency": "GHS",
          "ownerName": "Merchant Inc.",
          "operationTypes": [
            {
              "operationType": "DEPOSIT",
              "minTransactionLimit": "1",
              "maxTransactionLimit": "1000"
            },
            {
              "operationType": "PAYOUT",
              "minTransactionLimit": "1",
              "maxTransactionLimit": "1000"
            },
            {
              "operationType": "REFUND",
              "minTransactionLimit": "1",
              "maxTransactionLimit": "1000"
            }
          ]
        },
        {
          "correspondent": "MTN_MOMO_GHA",
          "currency": "GHS",
          "ownerName": "Merchant Inc.",
          "operationTypes": [
            {
              "operationType": "DEPOSIT",
              "minTransactionLimit": "1",
              "maxTransactionLimit": "2000"
            },
            {
              "operationType": "PAYOUT",
              "minTransactionLimit": "1",
              "maxTransactionLimit": "2000"
            },
            {
              "operationType": "REFUND",
              "minTransactionLimit": "1",
              "maxTransactionLimit": "2000"
            }
          ]
        }
      ]
    },
    {
      "country": "ZMB",
      "correspondents": [
        {
          "correspondent": "AIRTEL_OAPI_ZMB",
          "currency": "ZMW",
          "ownerName": "pawaPay Zambia",
          "operationTypes": [
            {
              "operationType": "DEPOSIT",
              "minTransactionLimit": "1",
              "maxTransactionLimit": "10000"
            }
          ]
        },
        {
          "correspondent": "MTN_MOMO_ZMB",
          "currency": "ZMW",
          "ownerName": "pawaPay Zambia",
          "operationTypes": [
            {
              "operationType": "DEPOSIT",
              "minTransactionLimit": "1",
              "maxTransactionLimit": "10000"
            }
          ]
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.pawapay.io/llms.txt

Use this file to discover all available pages before exploring further.

Allows you to query the MMOs (correspondents) that have been configured for your account. You can also retrieve supporting information about your configuration:
  • Your company name on your pawaPay account.
  • The currency for the MMO.
  • Minimum and maximum amounts for deposits, payouts and refunds.
  • The name of the company that is shown to the customer on the SMS receipt (ownerName).

Authorizations

Authorization
string
header
required

Response

If a request has been processed by pawaPay successfully.

merchantId
string
required

Your unique alphanumeric ID in the pawaPay platform.

Example:

"MERCHANT_INC"

merchantName
string
required

Your company name as configured in the pawaPay platform.

Example:

"Merchant Inc."

countries
object[]
required